Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.util
Class FileManager

    java.lang.Object
      xdoclet.util.FileManager

public final class FileManager
extends java.lang.Object

A utility class for handling common filing operations. It also caches loaded files.

Version:
  $Revision: 1.14 $
Author:
  Ara Abrahamian (ara_e@email.com), Hani Suleiman (hani@formicary.net)
created
  Aug 5, 2001
To do:
  Deal with Translator.getString()'s exception better (throw it so the build stops?) in getFileContent(String)

Constructor Summary
`FileManager()`

Method Summary
`static java.lang.String` | `getURLContent(java.net.URL url)` Gets the URLContent attribute of the FileManager class
`static void` | `writeURLContent(java.net.URL url, java.io.File destination)` Describe what the method does

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileManager

    public FileManager()

Method Detail

### getURLContent

    public static java.lang.String getURLContent(java.net.URL url)

  Gets the URLContent attribute of the FileManager class

  Parameters:
    `url` - Describe what the parameter does
  Returns:
    The URLContent value

### writeURLContent

    public static void writeURLContent(java.net.URL url,
                                       java.io.File destination)
                                throws java.io.IOException

  Describe what the method does

  Parameters:
    `url` - Describe what the parameter does
    `destination` - Describe what the parameter does
  Throws:
    `java.io.IOException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD